StackMoreLayersДокументация
APIReference

Получить свой статус участия

GET
/competitions/{competition_id}/participation/
АвторизацияBearer <token>

StackMoreLayers API token. Send as Authorization: Bearer sml_pat_live_<prefix>.<secret>.

In: header

Параметры пути

competition_id*integer

Numeric competition identifier.

Range1 <= value

Ответ

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/competitions/1/participation/"
{  "participation": {    "server_now": "2019-08-24T14:15:22Z",    "attempt_id": 0,    "kind": "primary",    "windows": [      {        "id": 0,        "phase_id": 0,        "starts_at": "2019-08-24T14:15:22Z",        "deadline_at": "2019-08-24T14:15:22Z",        "selection_deadline_at": "2019-08-24T14:15:22Z",        "duration_source": "explicit",        "max_submissions": 0,        "ranking_scope": "main",        "can_submit": true,        "can_select_final": true,        "reason_code": "competition_closed"      }    ],    "can_join_evergreen": true  },  "competition_id": 0,  "status": "unknown",  "can_submit": true,  "reason": "string"}